Index: src/Parser/parser.cc
===================================================================
--- src/Parser/parser.cc	(revision 1e8f14363888febd56c5b6f87d7874191e24fd45)
+++ src/Parser/parser.cc	(revision b29f8f30a4ca0a0f8e240002265e2de95e57588a)
@@ -5655,5 +5656,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 603 "parser.yy"
+#line 606 "parser.yy"
     { (yyval.en) = 0; }
     break;
@@ -5662,5 +5663,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 612 "parser.yy"
+#line 615 "parser.yy"
     { (yyval.sn) = (yyvsp[(1) - (1)].sn); }
     break;
@@ -5669,6 +5670,8 @@
 
 /* Line 1806 of yacc.c  */
-#line 622 "parser.yy"
-    { (yyval.sn) = (yyvsp[(4) - (4)].sn)->add_label( (yyvsp[(1) - (4)].tok) );}
+#line 625 "parser.yy"
+    {
+			(yyval.sn) = (yyvsp[(4) - (4)].sn)->add_label( (yyvsp[(1) - (4)].tok) );
+		}
     break;
 
@@ -5676,5 +5679,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 627 "parser.yy"
+#line 632 "parser.yy"
     { (yyval.sn) = new CompoundStmtNode( (StatementNode *)0 ); }
     break;
@@ -5683,5 +5686,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 634 "parser.yy"
+#line 639 "parser.yy"
     { (yyval.sn) = new CompoundStmtNode( (yyvsp[(5) - (7)].sn) ); }
     break;
@@ -5690,5 +5693,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 640 "parser.yy"
+#line 645 "parser.yy"
     { if ( (yyvsp[(1) - (3)].sn) != 0 ) { (yyvsp[(1) - (3)].sn)->set_link( (yyvsp[(3) - (3)].sn) ); (yyval.sn) = (yyvsp[(1) - (3)].sn); } }
     break;
@@ -5697,5 +5700,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 645 "parser.yy"
+#line 650 "parser.yy"
     { (yyval.sn) = new StatementNode( (yyvsp[(1) - (1)].decl) ); }
     break;
@@ -5704,5 +5707,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 647 "parser.yy"
+#line 652 "parser.yy"
     { (yyval.sn) = new StatementNode( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -5711,5 +5714,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 649 "parser.yy"
+#line 654 "parser.yy"
     { (yyval.sn) = new StatementNode( (yyvsp[(1) - (1)].decl) ); }
     break;
@@ -5718,5 +5721,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 656 "parser.yy"
+#line 661 "parser.yy"
     { if ( (yyvsp[(1) - (2)].sn) != 0 ) { (yyvsp[(1) - (2)].sn)->set_link( (yyvsp[(2) - (2)].sn) ); (yyval.sn) = (yyvsp[(1) - (2)].sn); } }
     break;
@@ -5725,5 +5728,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 661 "parser.yy"
+#line 666 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Exp, (yyvsp[(1) - (2)].en), 0 ); }
     break;
@@ -5732,5 +5735,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 667 "parser.yy"
+#line 672 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::If, (yyvsp[(3) - (5)].en), (yyvsp[(5) - (5)].sn) ); }
     break;
@@ -5739,5 +5742,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 669 "parser.yy"
+#line 674 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::If, (yyvsp[(3) - (7)].en), (StatementNode *)mkList((*(yyvsp[(5) - (7)].sn), *(yyvsp[(7) - (7)].sn) )) ); }
     break;
@@ -5746,5 +5749,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 671 "parser.yy"
+#line 676 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Switch, (yyvsp[(3) - (5)].en), (yyvsp[(5) - (5)].sn) ); }
     break;
@@ -5753,5 +5756,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 673 "parser.yy"
+#line 678 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Switch, (yyvsp[(3) - (9)].en), (yyvsp[(8) - (9)].sn) ); /* xxx */ }
     break;
@@ -5760,5 +5763,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 678 "parser.yy"
+#line 683 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Choose, (yyvsp[(3) - (5)].en), (yyvsp[(5) - (5)].sn) ); }
     break;
@@ -5767,5 +5770,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 680 "parser.yy"
+#line 685 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Choose, (yyvsp[(3) - (9)].en), (yyvsp[(8) - (9)].sn) ); }
     break;
@@ -5774,5 +5777,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 687 "parser.yy"
+#line 692 "parser.yy"
     { (yyval.en) = (yyvsp[(1) - (1)].en); }
     break;
@@ -5781,5 +5784,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 689 "parser.yy"
+#line 694 "parser.yy"
     { (yyval.en) = new CompositeExprNode( new OperatorNode( OperatorNode::Range ), (yyvsp[(1) - (3)].en), (yyvsp[(3) - (3)].en) ); }
     break;
@@ -5788,5 +5791,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 696 "parser.yy"
+#line 701 "parser.yy"
     { (yyval.en) = new CompositeExprNode( new OperatorNode( OperatorNode::TupleC ), (ExpressionNode *)(tupleContents( (yyvsp[(1) - (3)].en) ))->set_link( (yyvsp[(3) - (3)].en) ) ); }
     break;
@@ -5795,5 +5798,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 700 "parser.yy"
+#line 705 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Case, (yyvsp[(2) - (3)].en), 0 ); }
     break;
@@ -5802,5 +5805,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 701 "parser.yy"
+#line 706 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Default ); }
     break;
@@ -5809,5 +5812,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 707 "parser.yy"
+#line 712 "parser.yy"
     { (yyval.sn) = (StatementNode *)( (yyvsp[(1) - (2)].sn)->set_link( (yyvsp[(2) - (2)].sn) )); }
     break;
@@ -5816,5 +5819,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 711 "parser.yy"
+#line 716 "parser.yy"
     { (yyval.sn) = (yyvsp[(1) - (2)].sn)->append_last_case( (yyvsp[(2) - (2)].sn) ); }
     break;
@@ -5823,5 +5826,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 716 "parser.yy"
+#line 721 "parser.yy"
     { (yyval.sn) = 0; }
     break;
@@ -5830,5 +5833,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 722 "parser.yy"
+#line 727 "parser.yy"
     { (yyval.sn) = (yyvsp[(1) - (2)].sn)->append_last_case( (yyvsp[(2) - (2)].sn) ); }
     break;
@@ -5837,5 +5840,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 724 "parser.yy"
+#line 729 "parser.yy"
     { (yyval.sn) = (StatementNode *)( (yyvsp[(1) - (3)].sn)->set_link( (yyvsp[(2) - (3)].sn)->append_last_case( (yyvsp[(3) - (3)].sn) ))); }
     break;
@@ -5844,5 +5847,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 729 "parser.yy"
+#line 734 "parser.yy"
     { (yyval.sn) = 0; }
     break;
@@ -5851,5 +5854,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 735 "parser.yy"
+#line 740 "parser.yy"
     { (yyval.sn) = (yyvsp[(1) - (2)].sn)->append_last_case( (yyvsp[(2) - (2)].sn) ); }
     break;
@@ -5858,5 +5861,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 737 "parser.yy"
+#line 742 "parser.yy"
     { (yyval.sn) = (yyvsp[(1) - (3)].sn)->append_last_case((StatementNode *)mkList((*(yyvsp[(2) - (3)].sn),*(yyvsp[(3) - (3)].sn) ))); }
     break;
@@ -5865,5 +5868,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 739 "parser.yy"
+#line 744 "parser.yy"
     { (yyval.sn) = (StatementNode *)( (yyvsp[(1) - (3)].sn)->set_link( (yyvsp[(2) - (3)].sn)->append_last_case( (yyvsp[(3) - (3)].sn) ))); }
     break;
@@ -5872,5 +5875,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 741 "parser.yy"
+#line 746 "parser.yy"
     { (yyval.sn) = (StatementNode *)( (yyvsp[(1) - (4)].sn)->set_link( (yyvsp[(2) - (4)].sn)->append_last_case((StatementNode *)mkList((*(yyvsp[(3) - (4)].sn),*(yyvsp[(4) - (4)].sn) ))))); }
     break;
@@ -5879,5 +5882,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 746 "parser.yy"
+#line 751 "parser.yy"
     { (yyval.sn) = 0; }
     break;
@@ -5886,5 +5889,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 751 "parser.yy"
+#line 756 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Fallthru, 0, 0 ); }
     break;
@@ -5893,5 +5896,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 752 "parser.yy"
+#line 757 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Fallthru, 0, 0 ); }
     break;
@@ -5900,5 +5903,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 757 "parser.yy"
+#line 762 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::While, (yyvsp[(3) - (5)].en), (yyvsp[(5) - (5)].sn) ); }
     break;
@@ -5907,5 +5910,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 759 "parser.yy"
+#line 764 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Do, (yyvsp[(5) - (7)].en), (yyvsp[(2) - (7)].sn) ); }
     break;
@@ -5914,5 +5917,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 761 "parser.yy"
+#line 766 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::For, (yyvsp[(4) - (6)].en), (yyvsp[(6) - (6)].sn) ); }
     break;
@@ -5921,5 +5924,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 766 "parser.yy"
+#line 771 "parser.yy"
     { (yyval.en) = new ForCtlExprNode( (yyvsp[(1) - (6)].en), (yyvsp[(4) - (6)].en), (yyvsp[(6) - (6)].en) ); }
     break;
@@ -5928,5 +5931,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 768 "parser.yy"
+#line 773 "parser.yy"
     { (yyval.en) = new ForCtlExprNode( (yyvsp[(1) - (4)].decl), (yyvsp[(2) - (4)].en), (yyvsp[(4) - (4)].en) ); }
     break;
@@ -5935,5 +5938,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 773 "parser.yy"
+#line 778 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Goto, (yyvsp[(2) - (3)].tok) ); }
     break;
@@ -5942,5 +5945,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 777 "parser.yy"
+#line 782 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Goto, (yyvsp[(3) - (4)].en) ); }
     break;
@@ -5949,5 +5952,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 780 "parser.yy"
+#line 785 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Continue, 0, 0 ); }
     break;
@@ -5956,5 +5959,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 784 "parser.yy"
+#line 789 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Continue, (yyvsp[(2) - (3)].tok) ); }
     break;
@@ -5963,5 +5966,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 787 "parser.yy"
+#line 792 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Break, 0, 0 ); }
     break;
@@ -5970,5 +5973,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 791 "parser.yy"
+#line 796 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Break, (yyvsp[(2) - (3)].tok) ); }
     break;
@@ -5977,5 +5980,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 793 "parser.yy"
+#line 798 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Return, (yyvsp[(2) - (3)].en), 0 ); }
     break;
@@ -5984,5 +5987,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 795 "parser.yy"
+#line 800 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Throw, (yyvsp[(2) - (3)].en), 0 ); }
     break;
@@ -5991,5 +5994,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 797 "parser.yy"
+#line 802 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Throw, 0, 0 ); }
     break;
@@ -5998,5 +6001,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 802 "parser.yy"
+#line 807 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Try, 0,(StatementNode *)(mkList((*(yyvsp[(2) - (3)].sn),*(yyvsp[(3) - (3)].pn) )))); }
     break;
@@ -6005,5 +6008,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 804 "parser.yy"
+#line 809 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Try, 0,(StatementNode *)(mkList((*(yyvsp[(2) - (3)].sn),*(yyvsp[(3) - (3)].pn) )))); }
     break;
@@ -6012,5 +6015,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 806 "parser.yy"
+#line 811 "parser.yy"
     {
 			(yyvsp[(3) - (4)].pn)->set_link( (yyvsp[(4) - (4)].pn) );
@@ -6022,5 +6025,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 817 "parser.yy"
+#line 822 "parser.yy"
     { (yyval.pn) = StatementNode::newCatchStmt( 0, (yyvsp[(5) - (5)].sn), true ); }
     break;
@@ -6029,5 +6032,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 819 "parser.yy"
+#line 824 "parser.yy"
     { (yyval.pn) = (yyvsp[(1) - (6)].pn)->set_link( StatementNode::newCatchStmt( 0, (yyvsp[(6) - (6)].sn), true ) ); }
     break;
@@ -6036,5 +6039,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 824 "parser.yy"
+#line 829 "parser.yy"
     { (yyval.pn) = StatementNode::newCatchStmt( (yyvsp[(5) - (9)].decl), (yyvsp[(8) - (9)].sn) ); }
     break;
@@ -6043,5 +6046,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 826 "parser.yy"
+#line 831 "parser.yy"
     { (yyval.pn) = (yyvsp[(1) - (10)].pn)->set_link( StatementNode::newCatchStmt( (yyvsp[(6) - (10)].decl), (yyvsp[(9) - (10)].sn) ) ); }
     break;
@@ -6050,5 +6053,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 831 "parser.yy"
+#line 836 "parser.yy"
     {
 			(yyval.pn) = new StatementNode( StatementNode::Finally, 0, (yyvsp[(2) - (2)].sn) );
@@ -6060,5 +6063,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 845 "parser.yy"
+#line 850 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6070,5 +6073,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 850 "parser.yy"
+#line 855 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (2)].decl)->addType( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6077,5 +6080,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 852 "parser.yy"
+#line 857 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6087,5 +6090,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 861 "parser.yy"
+#line 866 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Asm, 0, 0 ); }
     break;
@@ -6094,5 +6097,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 863 "parser.yy"
+#line 868 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Asm, 0, 0 ); }
     break;
@@ -6101,5 +6104,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 865 "parser.yy"
+#line 870 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Asm, 0, 0 ); }
     break;
@@ -6108,5 +6111,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 867 "parser.yy"
+#line 872 "parser.yy"
     { (yyval.sn) = new StatementNode( StatementNode::Asm, 0, 0 ); }
     break;
@@ -6115,5 +6118,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 881 "parser.yy"
+#line 886 "parser.yy"
     {}
     break;
@@ -6122,5 +6125,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 885 "parser.yy"
+#line 890 "parser.yy"
     {}
     break;
@@ -6129,5 +6132,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 893 "parser.yy"
+#line 898 "parser.yy"
     { (yyval.decl) = 0; }
     break;
@@ -6136,5 +6139,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 900 "parser.yy"
+#line 905 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (3)].decl)->appendList( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6143,5 +6146,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 905 "parser.yy"
+#line 910 "parser.yy"
     { (yyval.decl) = 0; }
     break;
@@ -6150,5 +6153,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 912 "parser.yy"
+#line 917 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (3)].decl)->appendList( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6157,5 +6160,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 926 "parser.yy"
+#line 931 "parser.yy"
     {}
     break;
@@ -6164,5 +6167,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 927 "parser.yy"
+#line 932 "parser.yy"
     {}
     break;
@@ -6171,5 +6174,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 956 "parser.yy"
+#line 961 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6181,5 +6184,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 963 "parser.yy"
+#line 968 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6191,5 +6194,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 968 "parser.yy"
+#line 973 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( *(yyvsp[(5) - (6)].tok), TypedefTable::ID );
@@ -6199,14 +6202,4 @@
 
   case 241:
-
-/* Line 1806 of yacc.c  */
-#line 978 "parser.yy"
-    {
-			typedefTable.setNextIdentifier( *(yyvsp[(2) - (3)].tok) );
-			(yyval.decl) = (yyvsp[(1) - (3)].decl)->addName( (yyvsp[(2) - (3)].tok) );
-		}
-    break;
-
-  case 242:
 
 /* Line 1806 of yacc.c  */
@@ -6218,8 +6211,18 @@
     break;
 
+  case 242:
+
+/* Line 1806 of yacc.c  */
+#line 988 "parser.yy"
+    {
+			typedefTable.setNextIdentifier( *(yyvsp[(2) - (3)].tok) );
+			(yyval.decl) = (yyvsp[(1) - (3)].decl)->addName( (yyvsp[(2) - (3)].tok) );
+		}
+    break;
+
   case 243:
 
 /* Line 1806 of yacc.c  */
-#line 988 "parser.yy"
+#line 993 "parser.yy"
     {
 			typedefTable.setNextIdentifier( *(yyvsp[(3) - (4)].tok) );
@@ -6231,5 +6234,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 996 "parser.yy"
+#line 1001 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6239,14 +6242,4 @@
 
   case 245:
-
-/* Line 1806 of yacc.c  */
-#line 1001 "parser.yy"
-    {
-			typedefTable.addToEnclosingScope( TypedefTable::ID );
-			(yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) );
-		}
-    break;
-
-  case 246:
 
 /* Line 1806 of yacc.c  */
@@ -6258,8 +6251,18 @@
     break;
 
+  case 246:
+
+/* Line 1806 of yacc.c  */
+#line 1011 "parser.yy"
+    {
+			typedefTable.addToEnclosingScope( TypedefTable::ID );
+			(yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) );
+		}
+    break;
+
   case 247:
 
 /* Line 1806 of yacc.c  */
-#line 1011 "parser.yy"
+#line 1016 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6271,5 +6274,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1016 "parser.yy"
+#line 1021 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( *(yyvsp[(5) - (5)].tok), TypedefTable::ID );
@@ -6281,5 +6284,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1024 "parser.yy"
+#line 1029 "parser.yy"
     {
 			(yyval.decl) = DeclarationNode::newFunction( (yyvsp[(3) - (8)].tok), DeclarationNode::newTuple( 0 ), (yyvsp[(6) - (8)].decl), 0, true );
@@ -6290,5 +6293,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1047 "parser.yy"
+#line 1052 "parser.yy"
     {
 			(yyval.decl) = DeclarationNode::newFunction( (yyvsp[(2) - (7)].tok), (yyvsp[(1) - (7)].decl), (yyvsp[(5) - (7)].decl), 0, true );
@@ -6299,5 +6302,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1051 "parser.yy"
+#line 1056 "parser.yy"
     {
 			(yyval.decl) = DeclarationNode::newFunction( (yyvsp[(2) - (7)].tok), (yyvsp[(1) - (7)].decl), (yyvsp[(5) - (7)].decl), 0, true );
@@ -6308,5 +6311,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1058 "parser.yy"
+#line 1063 "parser.yy"
     { (yyval.decl) = DeclarationNode::newTuple( (yyvsp[(3) - (5)].decl) ); }
     break;
@@ -6315,19 +6318,9 @@
 
 /* Line 1806 of yacc.c  */
-#line 1062 "parser.yy"
+#line 1067 "parser.yy"
     { (yyval.decl) = DeclarationNode::newTuple( (yyvsp[(3) - (9)].decl)->appendList( (yyvsp[(7) - (9)].decl) ) ); }
     break;
 
   case 254:
-
-/* Line 1806 of yacc.c  */
-#line 1067 "parser.yy"
-    {
-			typedefTable.addToEnclosingScope( TypedefTable::TD );
-			(yyval.decl) = (yyvsp[(2) - (2)].decl)->addTypedef();
-		}
-    break;
-
-  case 255:
 
 /* Line 1806 of yacc.c  */
@@ -6339,8 +6332,18 @@
     break;
 
+  case 255:
+
+/* Line 1806 of yacc.c  */
+#line 1077 "parser.yy"
+    {
+			typedefTable.addToEnclosingScope( TypedefTable::TD );
+			(yyval.decl) = (yyvsp[(2) - (2)].decl)->addTypedef();
+		}
+    break;
+
   case 256:
 
 /* Line 1806 of yacc.c  */
-#line 1077 "parser.yy"
+#line 1082 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( *(yyvsp[(5) - (5)].tok), TypedefTable::TD );
@@ -6352,5 +6355,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1088 "parser.yy"
+#line 1093 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::TD );
@@ -6362,5 +6365,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1093 "parser.yy"
+#line 1098 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::TD );
@@ -6372,5 +6375,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1098 "parser.yy"
+#line 1103 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::TD );
@@ -6382,5 +6385,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1103 "parser.yy"
+#line 1108 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::TD );
@@ -6392,5 +6395,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1108 "parser.yy"
+#line 1113 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::TD );
@@ -6402,5 +6405,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1117 "parser.yy"
+#line 1122 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( *(yyvsp[(2) - (4)].tok), TypedefTable::TD );
@@ -6412,5 +6415,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1122 "parser.yy"
+#line 1127 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( *(yyvsp[(5) - (7)].tok), TypedefTable::TD );
@@ -6422,5 +6425,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1139 "parser.yy"
+#line 1144 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6432,5 +6435,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1144 "parser.yy"
+#line 1149 "parser.yy"
     {
 			typedefTable.addToEnclosingScope( TypedefTable::ID );
@@ -6442,5 +6445,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1166 "parser.yy"
+#line 1171 "parser.yy"
     { (yyval.decl) = 0; }
     break;
@@ -6449,19 +6452,12 @@
 
 /* Line 1806 of yacc.c  */
-#line 1178 "parser.yy"
+#line 1183 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
 
-  case 283:
-
-/* Line 1806 of yacc.c  */
-#line 1184 "parser.yy"
-    { (yyval.decl) = DeclarationNode::newQualifier( DeclarationNode::Attribute ); }
-    break;
-
   case 284:
 
 /* Line 1806 of yacc.c  */
-#line 1189 "parser.yy"
+#line 1194 "parser.yy"
     { (yyval.decl) = DeclarationNode::newQualifier( DeclarationNode::Const ); }
     break;
@@ -6470,5 +6466,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1191 "parser.yy"
+#line 1196 "parser.yy"
     { (yyval.decl) = DeclarationNode::newQualifier( DeclarationNode::Restrict ); }
     break;
@@ -6477,5 +6473,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1193 "parser.yy"
+#line 1198 "parser.yy"
     { (yyval.decl) = DeclarationNode::newQualifier( DeclarationNode::Volatile ); }
     break;
@@ -6484,5 +6480,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1195 "parser.yy"
+#line 1200 "parser.yy"
     { (yyval.decl) = DeclarationNode::newQualifier( DeclarationNode::Lvalue ); }
     break;
@@ -6491,5 +6487,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1197 "parser.yy"
+#line 1202 "parser.yy"
     { (yyval.decl) = DeclarationNode::newQualifier( DeclarationNode::Atomic ); }
     break;
@@ -6498,5 +6494,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1199 "parser.yy"
+#line 1204 "parser.yy"
     {
 			typedefTable.enterScope();
@@ -6507,5 +6503,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1203 "parser.yy"
+#line 1208 "parser.yy"
     {
 			typedefTable.leaveScope();
@@ -6517,5 +6513,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1212 "parser.yy"
+#line 1217 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6524,5 +6520,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1214 "parser.yy"
+#line 1219 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (3)].decl)->addQualifiers( (yyvsp[(2) - (3)].decl) )->addQualifiers( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6531,5 +6527,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1225 "parser.yy"
+#line 1230 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6538,5 +6534,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1234 "parser.yy"
+#line 1239 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Extern ); }
     break;
@@ -6545,5 +6541,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1236 "parser.yy"
+#line 1241 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Static ); }
     break;
@@ -6552,5 +6548,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1238 "parser.yy"
+#line 1243 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Auto ); }
     break;
@@ -6559,5 +6555,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1240 "parser.yy"
+#line 1245 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Register ); }
     break;
@@ -6566,5 +6562,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1242 "parser.yy"
+#line 1247 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Inline ); }
     break;
@@ -6573,5 +6569,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1244 "parser.yy"
+#line 1249 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Fortran ); }
     break;
@@ -6580,5 +6576,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1246 "parser.yy"
+#line 1251 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Noreturn ); }
     break;
@@ -6587,5 +6583,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1248 "parser.yy"
+#line 1253 "parser.yy"
     { (yyval.decl) = DeclarationNode::newStorageClass( DeclarationNode::Threadlocal ); }
     break;
@@ -6594,5 +6590,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1253 "parser.yy"
+#line 1258 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Char ); }
     break;
@@ -6601,5 +6597,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1255 "parser.yy"
+#line 1260 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Double ); }
     break;
@@ -6608,5 +6604,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1257 "parser.yy"
+#line 1262 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Float ); }
     break;
@@ -6615,5 +6611,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1259 "parser.yy"
+#line 1264 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Int ); }
     break;
@@ -6622,5 +6618,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1261 "parser.yy"
+#line 1266 "parser.yy"
     { (yyval.decl) = DeclarationNode::newModifier( DeclarationNode::Long ); }
     break;
@@ -6629,5 +6625,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1263 "parser.yy"
+#line 1268 "parser.yy"
     { (yyval.decl) = DeclarationNode::newModifier( DeclarationNode::Short ); }
     break;
@@ -6636,5 +6632,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1265 "parser.yy"
+#line 1270 "parser.yy"
     { (yyval.decl) = DeclarationNode::newModifier( DeclarationNode::Signed ); }
     break;
@@ -6643,5 +6639,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1267 "parser.yy"
+#line 1272 "parser.yy"
     { (yyval.decl) = DeclarationNode::newModifier( DeclarationNode::Unsigned ); }
     break;
@@ -6650,5 +6646,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1269 "parser.yy"
+#line 1274 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Void ); }
     break;
@@ -6657,5 +6653,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1271 "parser.yy"
+#line 1276 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Bool ); }
     break;
@@ -6664,5 +6660,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1273 "parser.yy"
+#line 1278 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Complex ); }
     break;
@@ -6671,5 +6667,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1275 "parser.yy"
+#line 1280 "parser.yy"
     { (yyval.decl) = DeclarationNode::newBasicType( DeclarationNode::Imaginary ); }
     break;
@@ -6678,5 +6674,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1282 "parser.yy"
+#line 1287 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6685,5 +6681,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1284 "parser.yy"
+#line 1289 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6692,5 +6688,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1286 "parser.yy"
+#line 1291 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (3)].decl)->addQualifiers( (yyvsp[(2) - (3)].decl) )->addQualifiers( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6699,5 +6695,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1288 "parser.yy"
+#line 1293 "parser.yy"
     { (yyval.decl) = (yyvsp[(3) - (3)].decl)->addQualifiers( (yyvsp[(2) - (3)].decl) )->addType( (yyvsp[(1) - (3)].decl) ); }
     break;
@@ -6706,5 +6702,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1294 "parser.yy"
+#line 1299 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (3)].decl)->addQualifiers( (yyvsp[(1) - (3)].decl) )->addQualifiers( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6713,5 +6709,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1301 "parser.yy"
+#line 1306 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6720,5 +6716,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1303 "parser.yy"
+#line 1308 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6727,5 +6723,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1305 "parser.yy"
+#line 1310 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addType( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6734,5 +6730,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1310 "parser.yy"
+#line 1315 "parser.yy"
     { (yyval.decl) = (yyvsp[(3) - (4)].decl); }
     break;
@@ -6741,5 +6737,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1312 "parser.yy"
+#line 1317 "parser.yy"
     { (yyval.decl) = DeclarationNode::newTypeof( (yyvsp[(3) - (4)].en) ); }
     break;
@@ -6748,5 +6744,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1314 "parser.yy"
+#line 1319 "parser.yy"
     { (yyval.decl) = DeclarationNode::newAttr( (yyvsp[(1) - (4)].tok), (yyvsp[(3) - (4)].decl) ); }
     break;
@@ -6755,5 +6751,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1316 "parser.yy"
+#line 1321 "parser.yy"
     { (yyval.decl) = DeclarationNode::newAttr( (yyvsp[(1) - (4)].tok), (yyvsp[(3) - (4)].en) ); }
     break;
@@ -6762,5 +6758,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1322 "parser.yy"
+#line 1327 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6769,5 +6765,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1324 "parser.yy"
+#line 1329 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6776,5 +6772,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1326 "parser.yy"
+#line 1331 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (3)].decl)->addQualifiers( (yyvsp[(2) - (3)].decl) )->addQualifiers( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6783,5 +6779,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1332 "parser.yy"
+#line 1337 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6790,5 +6786,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1334 "parser.yy"
+#line 1339 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6797,5 +6793,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1340 "parser.yy"
+#line 1345 "parser.yy"
     { (yyval.decl) = (yyvsp[(2) - (2)].decl)->addQualifiers( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6804,5 +6800,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1342 "parser.yy"
+#line 1347 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6811,5 +6807,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1344 "parser.yy"
+#line 1349 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (3)].decl)->addQualifiers( (yyvsp[(2) - (3)].decl) )->addQualifiers( (yyvsp[(3) - (3)].decl) ); }
     break;
@@ -6818,5 +6814,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1349 "parser.yy"
+#line 1354 "parser.yy"
     { (yyval.decl) = DeclarationNode::newFromTypedef( (yyvsp[(1) - (1)].tok) ); }
     break;
@@ -6825,5 +6821,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1351 "parser.yy"
+#line 1356 "parser.yy"
     { (yyval.decl) = DeclarationNode::newFromTypedef( (yyvsp[(2) - (2)].tok) )->addQualifiers( (yyvsp[(1) - (2)].decl) ); }
     break;
@@ -6832,5 +6828,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1353 "parser.yy"
+#line 1358 "parser.yy"
     { (yyval.decl) = (yyvsp[(1) - (2)].decl)->addQualifiers( (yyvsp[(2) - (2)].decl) ); }
     break;
@@ -6839,5 +6835,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1363 "parser.yy"
+#line 1368 "parser.yy"
     { (yyval.decl) = DeclarationNode::newAggregate( (yyvsp[(1) - (4)].aggKey), 0, 0, (yyvsp[(3) - (4)].decl) ); }
     break;
@@ -6846,5 +6842,5 @@
 
 /* Line 1806 of yacc.c  */
-#line 1365 "parser.yy"
+#line 1370 "parser.yy"
     { (yyval.decl) = DeclarationNode::newAggregate( (yyvsp[(1) - (2)].aggKey), (yyvsp[(2) - (2)].tok), 0, 0 ); }
     break;
